#!/bin/sh
# Careful with this.. assumes working directory at root of repository.
# and so on.. This is definitely not part of the course material itself..
mkdir VEDOKSET
mkdir VEDOKSET/en
mkdir VEDOKSET/demovedokset

# "Language versions": Finnish and English

python tools_for_authors/language_versions.py \
       osaamistavoitteet.txt \
       VEDOKSET/osaamistavoitteet_fi.txt VEDOKSET/learning_objectives.txt \
    && rst2html VEDOKSET/osaamistavoitteet_fi.txt > VEDOKSET/osaamistavoitteet.html \
    && rst2html VEDOKSET/learning_objectives.txt > VEDOKSET/en/learning_objectives.html \
    && rst2html en/english_option.rst > VEDOKSET/en/index.html

cp en/*.png VEDOKSET/en/

# HTML versions directly from ReST:

DEMODIR=2015/demot/tim/
DESTDIR=VEDOKSET/demovedokset
DESTI=$DESTDIR/index.html
echo "<html><head><meta charset=\"UTF-8\"></head><body><p>" > $DESTI
echo "Tässä on meidän kurssin demot julkisina vedoksina." >> $DESTI
echo "Luentokurssin ajan tehtäväpalautukset tehdään meidän omaan järjestelmään." >> $DESTI
echo "Muina aikoina kysy opettajalta, miten ylipäätään toimia kurssin suhteen." >> $DESTI
echo "<br /><br />Tämä HTML-vedos on tehty seuraavasta versiosta: <br />" >> $DESTI
LC_ALL=fi_FI.utf8 date >> $DESTI
echo "($(git log . | head -1)).<br /><br />" >> $DESTI
echo "Uusin versio luentomateriaalista löytyy osoitteesta " >> $DESTI
echo "<a href=\"https://gitlab.jyu.fi/itka203-kurssimateriaali/itka203-kurssimateriaali-avoin\"> https://gitlab.jyu.fi/itka203-kurssimateriaali/itka203-kurssimateriaali-avoin/ </a><br /><br />" >> $DESTI
echo "Huomaa: <strong>Vedoksissa käytetty CSS-tyylitiedosto on uusi ja kokeellinen</strong> kesäkuussa 2020. " \
     "Ilmoita, jos siitä koituu jotain teknisiä hankaluuksia! <br /><br />" >> $DESTI
echo "Tässä raaka vedos repositorion demokansiosta: <br /><br />" >> $DESTI

for f in `find $DEMODIR -name "*.rst" | sort`;
do
    destname=`basename $f .rst`.html
    rst2html --language=fi --stylesheet=html4css1.css,tools_for_authors/itka203_demo_custom.css $f > $DESTDIR/$destname
    echo "<a href=\"$destname\"> $destname </a> <br />" >> $DESTDIR/index.html
done
echo "</p></body></html>" >> $DESTDIR/index.html
